/**
 * Checks if the given input is a valid number and optionally, if it falls within a specific range.
 * we should also return true if the number is a valid BigInt
 * @param {string | number} input - The value to check.
 * @param {number} [minInput] - The minimum acceptable value for the input.
 * @param {number} [maxInput] - The maximum acceptable value for the input.
 * @returns {boolean} - Returns `true` if the input is a valid number and falls within the specified range. Otherwise, it returns `false`.
 */
export declare function ValidNumber(input: string | number | bigint, minInput?: number | bigint, maxInput?: number | bigint): boolean;
